Taxon (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.Taxon interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface Taxon

All Known Implementing Classes:
  Taxon.TaxonStub

    public interface Taxon

Nested Class Summary
`static class` | `Taxon.TaxonStub`

Field Summary
`static Taxon` | `A_THALIANA`
`static Taxon` | `B_TAURUS`
`static Taxon` | `C_ELEGANS`
`static Taxon` | `D_MELANOGASTER`
`static Taxon` | `D_RERIO`
`static Taxon` | `H_SAPIENS`
`static Taxon` | `H_VULGARE`
`static Taxon` | `L_ESCULENTUM`
`static Taxon` | `M_MUSCULUS`
`static Taxon` | `M_TRUNCULATA`
`static Taxon` | `O_SATIVA`
`static Taxon` | `R_NORVEGICUS`
`static Taxon` | `S_SCROFA`
`static Taxon` | `T_AESTIVUM`
`static Set` | `taxa`
`static Taxon` | `X_LAEVIS`
`static Taxon` | `Z_MAYS`

Method Summary
`String` | `getDescription()` returns the name of the Taxon
`int` | `getTaxonID()` returns the taxon ID

Field Detail

### taxa

    static final Set taxa

### A_THALIANA

    static final Taxon A_THALIANA

### B_TAURUS

    static final Taxon B_TAURUS

### C_ELEGANS

    static final Taxon C_ELEGANS

### D_RERIO

    static final Taxon D_RERIO

### D_MELANOGASTER

    static final Taxon D_MELANOGASTER

### H_SAPIENS

    static final Taxon H_SAPIENS

### H_VULGARE

    static final Taxon H_VULGARE

### L_ESCULENTUM

    static final Taxon L_ESCULENTUM

### M_TRUNCULATA

    static final Taxon M_TRUNCULATA

### M_MUSCULUS

    static final Taxon M_MUSCULUS

### O_SATIVA

    static final Taxon O_SATIVA

### R_NORVEGICUS

    static final Taxon R_NORVEGICUS

### S_SCROFA

    static final Taxon S_SCROFA

### T_AESTIVUM

    static final Taxon T_AESTIVUM

### X_LAEVIS

    static final Taxon X_LAEVIS

### Z_MAYS

    static final Taxon Z_MAYS

Method Detail

### getDescription

    String getDescription()

  returns the name of the Taxon

### getTaxonID

    int getTaxonID()

  returns the taxon ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD